%global momorel 2

Name:           perl-Log-Report
Version:        0.28
Release:        %{momorel}m%{?dist}
Summary:        Report a problem, pluggable handlers and language support
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Log-Report/
Source0:        http://www.cpan.org/authors/id/M/MA/MARKOV/Log-Report-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Encode >= 2.00
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Scalar-List-Util
BuildRequires:  perl-Sys-Syslog >= 0.27
BuildRequires:  perl-Test-Simple >= 0.86
BuildRequires:  perl-Test-Pod >= 1.00
Requires:       perl-Encode >= 2.00
Requires:       perl-Scalar-List-Util
Requires:       perl-Sys-Syslog >= 0.27
Requires:       perl-Test-Simple >= 0.86
Requires:       perl-Test-Pod >= 1.00
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Handling messages to users can be a hassle, certainly when the same module
is used for command-line and in a graphical interfaces, and has to cope
with internationalization at the same time; this set of modules tries to
simplify this. Log::Report combines gettext features with Log::Dispatch-
like features. However, you can also use this module to do only
translations or only message dispatching.

%prep
%setup -q -n Log-Report-%{version}

# Filter unwanted Requires:
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(Win32::TieRegistry)/d'

EOF
%define __perl_requires %{_builddir}/Log-Report-%{version}/%{name}-req
chmod +x %{name}-req

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{_bindir}/xgettext-perl
%{perl_vendorlib}/Log/Report
%{perl_vendorlib}/Log/Report.pm
%{perl_vendorlib}/Log/Report.pod
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.28-2m)
- full rebuild for mo7 release

* Thu Jun 10 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.28-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
